# Class ObjectReflectionPropertyInspector

java.lang.Object
org.apache.tomcat.util.xreflection.ObjectReflectionPropertyInspector

public final class ObjectReflectionPropertyInspector extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectReflectionPropertyInspector()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `generateCode(Set<SetPropertyClass> baseClasses, String packageName, File location, String className)`
  `static void`
  `main(String... args)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectReflectionPropertyInspector

    public ObjectReflectionPropertyInspector()

- ## Method Details

  - ### main

    public static void main(String... args) throws Exception
    Throws:
      `Exception`

  - ### generateCode

    public static void generateCode(Set<SetPropertyClass> baseClasses, String packageName, File location, String className) throws Exception
    Throws:
      `Exception`